package main

type indexCmd struct {
	Paths []string `arg:"" help:"The paths to the repositories to include in the index."`
}

type repoCmd struct {
	Path string `arg:"" help:"The path to the repository."`
}

var cli struct {
	Debug bool `help:"Print debug information."`

	Index indexCmd `cmd:"" help:"Generate the repository index page."`
	Repo  repoCmd  `cmd:"" help:"Generate the repository pages."`
}
